1. Deals
Useme API docs
v2.0
  • v1.0
  • v2.0
  • Guides
    • Introduction
    • Getting Startted
    • Creating and Tracking Deals
  • Reference
    • Categories
      • List category tree
    • Deals
      • Create a new deal
        POST
      • Retrieve deal details
        GET
      • List employer deals
        GET
  • Schemas
    • APIDealBilling
    • APIDealContractorPayment
    • APIDealEmployerPayment
    • APIV2RetrieveDealResponse
    • CategoryTree
    • CopyrightTransferEnum
    • CreateDeal
    • DealListItem
    • FreelancerLanguageEnum
    • FreelancerStatusEnum
    • NullEnum
    • StatusEnum
    • SubCategory
    • V2CategoriesListSuccessResponse
    • V2DealBadRequestResponse
    • V2DealConflictResponse
    • V2DealCreateData
    • V2DealCreateSuccessResponse
    • V2ListDealsSuccessResponse
    • V2PaginatedDealList
    • V2RetrieveDealNotFoundResponse
    • V2RetrieveDealServerErrorResponse
    • V2RetrieveDealSuccessResponse
  1. Deals

Create a new deal

POST
https://sandbox.useme.com/api/2.0/deal/
Creates a new deal with the provided details.

Request

Authorization
or
Header Params

Body Params application/jsonRequired

Example
{
    "partner_id": "unique-ID-of-deal",
    "email_freelancer": "freelancer@example.com",
    "title": "Website redesign",
    "description": "Project scope and deliverables",
    "subcategory_id": 75,
    "amount": "1500.00",
    "currency": "PLN",
    "copyright_transfer": "license",
    "freelancer_language": "pl"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://sandbox.useme.com/api/2.0/deal/' \
--header 'Authorization: Token <here-paste-your-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "partner_id": "unique-ID-of-deal",
    "email_freelancer": "freelancer@example.com",
    "title": "Website redesign",
    "description": "Project scope and deliverables",
    "subcategory_id": 75,
    "amount": "1500.00",
    "currency": "PLN",
    "copyright_transfer": "license",
    "freelancer_language": "pl"
}'

Responses

🟢201
application/json
Returns the payment token and initial deal status.
Bodyapplication/json

Example
{
    "data": {
        "payment_token": "string",
        "freelancer_status": "new",
        "status": "created"
    }
}
🟠400
🟠409
Modified at 2026-07-27 12:46:37
Previous
List category tree
Next
Retrieve deal details
Built with